VERSION 5.00
Begin VB.Form frmConfigMethod 
   Caption         =   "Select DPP Configuration Method"
   ClientHeight    =   2655
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   4950
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2655
   ScaleWidth      =   4950
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdConfigNoChange 
      Caption         =   "Do Not Change Configuration"
      Height          =   375
      Left            =   1200
      TabIndex        =   3
      Top             =   2160
      Width           =   2655
   End
   Begin VB.CommandButton cmdConfigLoadFromHardware 
      Caption         =   "Configure DPP From Hardware"
      Height          =   375
      Left            =   1200
      TabIndex        =   0
      Top             =   1200
      Width           =   2655
   End
   Begin VB.CommandButton cmdConfigLoadFromFile 
      Caption         =   "Configure DPP From File"
      Height          =   375
      Left            =   1200
      TabIndex        =   1
      Top             =   1680
      Width           =   2655
   End
   Begin VB.Label lblConfigStatus 
      Alignment       =   2  'Center
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FF0000&
      Height          =   855
      Left            =   240
      TabIndex        =   2
      Top             =   120
      Width           =   4455
   End
End
Attribute VB_Name = "frmConfigMethod"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Public lOption As Long  'holds the configuration option selected

Private Sub cmdConfigLoadFromFile_Click()
    lOption = 1
    Hide
End Sub

Private Sub cmdConfigLoadFromHardware_Click()
    lOption = 2
    Hide
End Sub

Private Sub cmdConfigNoChange_Click()
    lOption = 0
    Hide
End Sub

Public Sub SelectOptions(SwConfigRcvd As Byte, DppDevice As Integer)
    Dim strDPP As String        'device type string
    Dim bCfgRcvd As Boolean     'dpp configured flag (false=not configured,true=configured)
    Dim strCfgStat As String    'configuration status string
    
    'check if the device has been configured
    bCfgRcvd = CBool(SwConfigRcvd)
    
    'create status display strings
    strDPP = DPPTypeString(DppDevice)
    strCfgStat = IIf(bCfgRcvd, " is configured.", " is not configured.")
    
    'display status
    lblConfigStatus = "The " & strDPP & strCfgStat & vbNewLine & _
                        "Please select from the following options:"
    
    'select the options available
    If ((DppDevice = DPPDP4) And (Not bCfgRcvd)) Then
        cmdConfigLoadFromHardware.Enabled = False
    End If
End Sub

Private Sub Form_Load()
    lOption = 0
End Sub
