VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Object = "{6B7E6392-850A-101B-AFC0-4210102A8DA7}#1.3#0"; "comctl32.ocx"
Begin VB.Form frmDPPMCA 
   Caption         =   "vbDppApi"
   ClientHeight    =   6720
   ClientLeft      =   60
   ClientTop       =   645
   ClientWidth     =   12885
   Icon            =   "vbDppApi.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   ScaleHeight     =   6720
   ScaleWidth      =   12885
   StartUpPosition =   2  'CenterScreen
   Begin VB.Frame fraPX4Text 
      Caption         =   "PX4 Text"
      Enabled         =   0   'False
      Height          =   975
      Left            =   120
      TabIndex        =   23
      ToolTipText     =   "Connect to PX4 FPGA/FW >= v4.0 to enable"
      Top             =   4200
      Width           =   3495
      Begin VB.TextBox txtPX4Text 
         Height          =   800
         Left            =   840
         MaxLength       =   64
         MultiLine       =   -1  'True
         ScrollBars      =   2  'Vertical
         TabIndex        =   26
         Top             =   120
         Width           =   2655
      End
      Begin VB.CommandButton cmdSetPX4Text 
         Caption         =   "Set"
         Height          =   255
         Left            =   120
         TabIndex        =   25
         Top             =   600
         Width           =   615
      End
      Begin VB.CommandButton cmdGetPX4Text 
         Caption         =   "Get"
         Height          =   255
         Left            =   120
         TabIndex        =   24
         Top             =   240
         Width           =   615
      End
   End
   Begin VB.Frame fraDemoProcedures 
      Caption         =   "Demonstrations"
      Height          =   615
      Left            =   120
      TabIndex        =   22
      Top             =   5280
      Width           =   3495
      Begin VB.CommandButton cmdDPPConfiguration 
         Caption         =   "DPP Configuration"
         Height          =   255
         Left            =   60
         TabIndex        =   6
         Top             =   240
         Width           =   1845
      End
      Begin VB.CommandButton cmdGetData 
         Caption         =   "Data Acquisition"
         Height          =   255
         Left            =   1965
         TabIndex        =   7
         Top             =   240
         Width           =   1455
      End
   End
   Begin VB.Frame fraDataAcquisition 
      Caption         =   "Data Acquisition"
      Height          =   615
      Left            =   120
      TabIndex        =   21
      Top             =   3480
      Width           =   3495
      Begin VB.CommandButton cmdSaveData 
         Caption         =   "Save Data"
         Enabled         =   0   'False
         Height          =   255
         Left            =   2355
         TabIndex        =   5
         Top             =   240
         Width           =   1065
      End
      Begin VB.CommandButton cmdAcquireData 
         Caption         =   "Acquire Data"
         Height          =   255
         Left            =   1087
         TabIndex        =   4
         Top             =   240
         Width           =   1215
      End
      Begin VB.CommandButton cmdClearData 
         Caption         =   "Clear Data"
         Height          =   255
         Left            =   60
         TabIndex        =   3
         Top             =   240
         Width           =   975
      End
   End
   Begin VB.Frame fraConnectControls 
      Caption         =   "DPP Connection"
      Height          =   615
      Left            =   120
      TabIndex        =   20
      Top             =   2760
      Width           =   3495
      Begin VB.CommandButton cmdConnectToDpp 
         Caption         =   "Connect"
         Height          =   255
         Left            =   60
         TabIndex        =   0
         Top             =   240
         Width           =   855
      End
      Begin VB.CommandButton cmdCloseDppConnection 
         Caption         =   "Disconnect"
         Height          =   255
         Left            =   982
         TabIndex        =   1
         Top             =   240
         Width           =   1095
      End
      Begin VB.CheckBox chkDeltaMode 
         Caption         =   "Delta Mode"
         Height          =   255
         Left            =   2145
         TabIndex        =   2
         Top             =   240
         Width           =   1215
      End
   End
   Begin VB.CommandButton cmdShowConfigDialog 
      Caption         =   "Configuration Settings"
      Height          =   255
      Left            =   1800
      TabIndex        =   8
      Top             =   6000
      Width           =   1815
   End
   Begin VB.Frame fraScale 
      Caption         =   "Scale"
      Height          =   495
      Left            =   1920
      TabIndex        =   19
      Top             =   0
      Width           =   1695
      Begin VB.OptionButton OptScaleType 
         Caption         =   "Log"
         Height          =   195
         Index           =   1
         Left            =   960
         TabIndex        =   12
         Top             =   240
         Width           =   615
      End
      Begin VB.OptionButton OptScaleType 
         Caption         =   "Linear"
         Height          =   195
         Index           =   0
         Left            =   120
         TabIndex        =   11
         Top             =   240
         Value           =   -1  'True
         Width           =   735
      End
   End
   Begin VB.PictureBox picBuffer 
      AutoRedraw      =   -1  'True
      Height          =   255
      Left            =   0
      ScaleHeight     =   195
      ScaleWidth      =   435
      TabIndex        =   17
      Top             =   6000
      Visible         =   0   'False
      Width           =   495
   End
   Begin VB.Frame fraPlotType 
      Caption         =   "Plot Type"
      Height          =   495
      Left            =   120
      TabIndex        =   16
      Top             =   0
      Width           =   1575
      Begin VB.OptionButton OptPlotType 
         Caption         =   "Line"
         Height          =   195
         Index           =   1
         Left            =   840
         TabIndex        =   10
         Top             =   240
         Width           =   615
      End
      Begin VB.OptionButton OptPlotType 
         Caption         =   "Solid"
         Height          =   195
         Index           =   0
         Left            =   120
         TabIndex        =   9
         Top             =   240
         Value           =   -1  'True
         Width           =   735
      End
   End
   Begin VB.Timer DataAcqTimer 
      Enabled         =   0   'False
      Interval        =   1000
      Left            =   480
      Top             =   5880
   End
   Begin VB.PictureBox picPlot 
      BackColor       =   &H00FFFFFF&
      FillColor       =   &H000000FF&
      ForeColor       =   &H000000FF&
      Height          =   6135
      Left            =   3720
      ScaleHeight     =   6075
      ScaleWidth      =   8955
      TabIndex        =   15
      Top             =   120
      Width           =   9015
   End
   Begin ComctlLib.StatusBar StatusBar1 
      Align           =   2  'Align Bottom
      Height          =   375
      Left            =   0
      TabIndex        =   14
      Top             =   6345
      Width           =   12885
      _ExtentX        =   22728
      _ExtentY        =   661
      SimpleText      =   ""
      _Version        =   327682
      BeginProperty Panels {0713E89E-850A-101B-AFC0-4210102A8DA7} 
         NumPanels       =   1
         BeginProperty Panel1 {0713E89F-850A-101B-AFC0-4210102A8DA7} 
            AutoSize        =   1
            Object.Width           =   22199
            TextSave        =   ""
            Key             =   ""
            Object.Tag             =   ""
         EndProperty
      EndProperty
   End
   Begin VB.TextBox txtStatus 
      Height          =   2085
      Left            =   120
      MultiLine       =   -1  'True
      TabIndex        =   13
      Top             =   600
      Width           =   3495
   End
   Begin MSComDlg.CommonDialog cmnDlg 
      Left            =   840
      Top             =   5880
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.Label lblMaxChanCnt 
      BorderStyle     =   1  'Fixed Single
      Height          =   255
      Left            =   1320
      TabIndex        =   18
      Top             =   6000
      Visible         =   0   'False
      Width           =   375
   End
   Begin VB.Menu mnuConfig 
      Caption         =   "&Configuration"
      Begin VB.Menu mnuConfigLoadFromHardware 
         Caption         =   "Load From &Hardware"
      End
      Begin VB.Menu mnuConfigLoadFromFile 
         Caption         =   "&Load From File"
      End
      Begin VB.Menu mnuConfigSep1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuConfigSendConfig 
         Caption         =   "Send Config&uration"
      End
      Begin VB.Menu mnuConfigSep2 
         Caption         =   "-"
      End
      Begin VB.Menu mnuConfigSaveToFile 
         Caption         =   "Sa&ve To File"
      End
      Begin VB.Menu mnuConfigShowSummary 
         Caption         =   "Show Summary"
      End
      Begin VB.Menu mnuConfigCopyToClipBoard 
         Caption         =   "Copy To ClipBoard"
      End
   End
   Begin VB.Menu mnuDataAcq 
      Caption         =   "&Data Acquisition"
      Begin VB.Menu mnuDataAcqGetDPPStatus 
         Caption         =   "Get DPP Status"
      End
   End
   Begin VB.Menu mnuTest 
      Caption         =   "&Test"
      Visible         =   0   'False
      Begin VB.Menu mnuvbDppApi 
         Caption         =   "DPPAPI Test"
      End
      Begin VB.Menu mnuTestRestartAcquisitionTimer 
         Caption         =   "Restart Acquisition Timer"
      End
   End
End
Attribute VB_Name = "frmDPPMCA"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Public pnlStatus As Panel           'displays status
Public AcqEnabled As Boolean        'true when acquisition enabled

'toggles between MCA mode and DELTA modes
'Note: In delta mode spectrum data is taken then cleared once per second.
Private Sub chkDeltaMode_Click()
    If (chkDeltaMode.value = vbChecked) Then
        pnlStatus = "Delta mode selected."
    Else
        pnlStatus = "MCA mode selected."
    End If
End Sub

'starts and stops data acquisition
Private Sub cmdAcquireData_Click()
    If (cmdAcquireData.Caption = "Stop Acquire") Then
        cmdAcquireData.Caption = "Acquire Data"
        PauseDppData objDppApi, 1
        pnlStatus = "Data acquisition stopped."
    Else
        cmdAcquireData.Caption = "Stop Acquire"
        PauseDppData objDppApi, 0
        pnlStatus = "Data acquisition started."
        SetAcqStartTime
    End If
End Sub

'opens a configuration options dialog
Private Sub CfgMsgBox(objDppApi As Long, StatusLst As DPP_STATUS, DppDevice As Integer)
    Dim clsPickCfg As New clsCfgOptMsgBox
    Dim lOption As Long                             'holds the configuration option selected
    Dim Result As Boolean

    If (objDppApi = 0) Then Exit Sub                'only run if api is already running
    Result = VBGetDppStatus(objDppApi, StatusLst)   ' get device status
    lOption = clsPickCfg.GetCfgOption(StatusLst.SwConfigRcvd, DppDevice)
    Select Case lOption
        Case 2                                      'load configuration save in hardware
            GetConfigFromDpp objDppApi
            SendConfigToDpp objDppApi
            pnlStatus = "DPP hardware configuration sent."
        Case 1                                      'load configuration file
            Dim strFileName As String
            Dim lenFilename As Long
            If (dlgOpen(cmnDlg, dlgCFG_Filter)) Then
                strFileName = cmnDlg.filename
                lenFilename = Len(strFileName)
                GetConfigFromFile objDppApi, strFileName, lenFilename, DppDevice
                SendConfigToDpp objDppApi
                pnlStatus = "DPP configuration loaded from file sent."
            End If
        Case 0                                      'do not load configuration
    End Select
End Sub

'opens the dppapi, checks dpp communications, then calls the configuration options dialog
Private Sub cmdDPPConfiguration_Click()
    EnableControls False, False             ' disable api controls until done
    Dim numdev As Integer                   ' number of usb devices
    Dim objDppApi As Long                   ' pointer to dpp api
    Dim StatusLst As DPP_STATUS
    Dim Result As Boolean
    Dim DppDeviceType As Integer

    pnlStatus = "Starting DPP configuration  demonstration."
    objDppApi = OpenDppApi()                                ' Create/Open DPPAPI
    numdev = OpenUSBDevice(objDppApi)                       ' Open USB communications
    If (numdev > 0) Then
        Result = VBGetDppStatus(objDppApi, StatusLst)       ' get device status
        DppDeviceType = DPPTypeFromStatus(StatusLst) 'DPP5 20071023
        CfgMsgBox objDppApi, StatusLst, DppDeviceType
    Else
        MsgBox "No DPP USB devices detected.", vbCritical
    End If
    CloseUSBDevice (objDppApi)                              ' close usb
    CloseDppApi (objDppApi)                                 ' close DPPAPI
    Sleep (750)
    EnableControls False, True                              ' enable api controls
    pnlStatus = "DPP configuration demonstration done."
End Sub

'clears the spectrum data display
Private Sub cmdClearData_Click()
    On Error GoTo cmdClearDataErr
    EnableControls False, False
    ClearDppData objDppApi, 1
    picPlot.Picture = LoadPicture("")   'clear plot
    pnlStatus = "Acquisition data cleared."
    EnableControls True, True
    Exit Sub
cmdClearDataErr:
    pnlStatus = "Error clearing acquisition data."
    EnableControls True, True
End Sub

'closes the connection to the DPP
' - closes dpp communications
' - shuts down the data acquisition timer
' - closes the dppapi
Private Sub cmdCloseDppConnection_Click()
    Screen.MousePointer = vbHourglass   'show that the app is busy
    EnableControls False, False
    DataAcqTimer.Enabled = False
    pnlStatus = "Closing USB Device"
    CloseUSBDevice (objDppApi)
    pnlStatus = "Destroying DppApi Interface..."
    CloseDppApi (objDppApi)
    objDppApi = 0
    pnlStatus = "Dpp Connection Closed"
    cmdAcquireData.Caption = "Acquire Data"
    EnablePX4Text False
    EnableControls False, True
    Screen.MousePointer = vbDefault
End Sub

'connects to the DPP
' - opens an instance of the DPPAPI
' - tests communication to the DPP
' - enables the data acquisition timer
' - enables the dialog controls active during data acquisition
Private Sub cmdConnectToDpp_Click()
    Dim numdev As Integer               'number of usb dpps
    Dim strDisplay As String * 2000     'configuration display string
    Dim StatusLst As DPP_STATUS         'dpp status structure
    Dim Result As Boolean               'boolean return result
    Dim strDppDeviceList() As String    'list of dpp devices found
    Dim strStatusOut As String          'status of dpp devices found
    Dim USBDevNum As Integer            'user select usb dpp device index

    InitDppApi                          'clear global vars
    EnablePX4Text False
    EnableControls False, False         'disable all controls at start of connection
    Screen.MousePointer = vbHourglass   'show that the app is busy
    txtStatus = ""
    isDataAcq = False                   'not acquiring data
    isSavingPlot = False                'not saving plot
    pnlStatus = "Creating DppApi Interface..."
    'identify all the dpp usb devices, store in a list
    'GetDppDeviceList closes the dppapi when done
    numdev = GetDppDeviceList(strDppDeviceList(), strStatusOut)
    pnlStatus = "Searching for USB Devices, Devices found: " & numdev
    If (numdev > 0) Then
        objDppApi = OpenDppApi()            'create DppApi Object
        USBDevNum = 1                       'the default (first) device index is 1
        If (numdev > 1) Then                'if the number of devices > 1 select device
            Screen.MousePointer = vbDefault
            Dim frmDpp As New frmSelectDppDevice
            frmDpp.DisplayDppSelections strDppDeviceList(), numdev
            frmDpp.Show vbModal
            USBDevNum = frmDpp.idxSelectedDevice
        End If
        If (numdev < 1) Then USBDevNum = 1  'open the only device
        numdev = OpenUSBDeviceEx(objDppApi, USBDevNum)
        pnlStatus = "Aquiring " & "" & " device status..."
        '=========================================================================
        'IMPORTANT: The DP5 FPGA Clock MUST be set in the DPPAPI
        'to correctly interpret the configuration settings
        SetDppApiGlobalVars objDppApi, USBDevNum  'set device type (and if dp5, fpga clock)
        '=========================================================================
        Result = VBGetDppStatus(objDppApi, StatusLst)
        If (Not CBool(StatusLst.SwConfigRcvd)) Then
            Screen.MousePointer = vbDefault
            pnlStatus = "Device not configured please configure before connecting..."
            CfgMsgBox objDppApi, StatusLst, DppDevice
            If (Not CBool(StatusLst.SwConfigRcvd)) Then
                pnlStatus = "Device not configured please configure before connecting..."
                MsgBox pnlStatus, vbCritical
                cmdCloseDppConnection_Click
            End If
        Else
            AcqEnabled = StatusLst.StatMcaEnabled
            If (AcqEnabled) Then        'set acq button display
                cmdAcquireData.Caption = "Stop Acquire"
                SetAcqStartTime
            Else
                cmdAcquireData.Caption = "Acquire Data"
            End If
            pnlStatus = "Aquiring device configuration..."
            GetConfigFromDpp objDppApi
            GetConfigString objDppApi, strDisplay, 2000
            Call MessageBox(0&, strDisplay, "Configuration Settings", MB_ICONINFORMATION)
            DataAcqTimer.Enabled = True
            If ((StatusLst.Firmware >= 3.13) And (StatusLst.FPGA >= 3.13) And (DppDevice = DPPPX4)) Then
                EnablePX4Text True
            End If
            EnableControls True, True
            pnlStatus = "Connected to DPP"
        End If
    Else
        EnableControls False, True
        pnlStatus = "Not connected to DPP."
    End If
    Screen.MousePointer = vbDefault
End Sub

'copies a variant array to a byte array
Private Sub CopyVarArrToByteArr(VarArr() As Variant, ByteArr() As Byte, Size As Integer)
    Dim i As Integer
    For i = 0 To Size - 1
        ByteArr(i) = VarArr(i)
    Next
End Sub

'demonstrates a spectrum data acquisition (one data sample of the current spectrum data)
Private Sub cmdGetData_Click()
    EnableControls False, False             ' disable api controls until done
    Dim numdev As Integer                   ' number of usb devices
    Dim objDppApi As Long                   ' pointer to dpp api
    Dim szStatus As String * 2000           ' status text
    Dim DataBuffer(8192) As Long            ' spectrum data
    Dim NumChan As Integer                  ' number of acquired channels
    
    pnlStatus = "Starting data acquisition demonstration."
    objDppApi = OpenDppApi()                               ' Create/Open DPPAPI
    numdev = OpenUSBDevice(objDppApi)                      ' Open USB communications
    If (numdev > 0) Then
        GetStatusString objDppApi, 1, szStatus, 2000       ' get device status
        txtStatus = szStatus
        GetConfigFromDpp objDppApi                         ' configure from hardware
        NumChan = GetDppData(objDppApi, VarPtr(DataBuffer(0)))  ' acquire data
        PlotData DataBuffer, NumChan                       ' plot data
    End If
    CloseUSBDevice (objDppApi)                             ' close usb
    CloseDppApi (objDppApi)                                ' close DPPAPI
    Sleep (750)
    EnableControls False, True              ' enable api controls
    pnlStatus = "Data acquisition demonstration done."
End Sub

'reads px4 stored text
Private Sub cmdGetPX4Text_Click()
    Dim cstrPX4Text As String * 128
'    Dim cstrDP5Text As String * 1024
'    GetDP5Text objDppApi, cstrDP5Text, 1024
'    txtPX4Text.Text = cstrDP5Text
    GetPX4Text objDppApi, cstrPX4Text, 128
    txtPX4Text.Text = cstrPX4Text
End Sub

'saves a copy of the current data to a Amptek Spectrum formatted file
Private Sub cmdSaveData_Click()
    pnlStatus = SaveMCADataPlot(cmnDlg)
End Sub

'this function is called by the data acquisition timer
'function operations:
' - acquire the current spectrum data
' - save a working copy if a plot is not currently being saved to a file
' - calculate and plot the spectrum display data
' - get the current status
' - test the acquisition status
' - create a snapshot of the current configuration and status for file save
' - clear the data if in delta mode (starts a new data acquisition cycle)
Private Sub DataAcq()
    Dim DataBuffer(8192) As Long
    Dim NumChan As Integer
    Dim i As Integer
    Dim j As Integer
    Dim YMAX As Long
    Dim logTemp As Long
    Dim y1 As Double
    Dim y2 As Double
    Dim YPlotScale As Double
    Dim StatusLst As DPP_STATUS
    Dim strSettings As String * 3000
    Dim Result As Boolean
   
    isDataAcq = True           'acquiring data
    NumChan = GetDppData(objDppApi, VarPtr(DataBuffer(0)))  'get data
    'a snapshot of the data buffer is taken for mca plot file storage
    If (Not isSavingPlot) Then  'update plot file global copy, don't access copy when saving file
        SaveChannels = NumChan                                                          'save the number of channels for plot file save
        cmdSaveData.Enabled = ((SaveChannels > 0) And (Not cmdConnectToDpp.Enabled))    'only enable plot file save when data is ready
        CopyBufferLong DataBuffer, SaveBuffer, NumChan                                  'save a copy of the buffer for plot file save
    End If
    XPlotMAX = NumChan - 1
    If (NumChan > 0) Then 'plot data
        YMAX = 0
        For i = 0 To (NumChan - 1) 'get the largest value to be displayed
            If (OptScaleType(0).value) Then
                If (DataBuffer(i) > YMAX) Then YMAX = DataBuffer(i)
            Else
                If (Log(0.1 + DataBuffer(i)) > YMAX) Then YMAX = Log(0.1 + DataBuffer(i))
            End If
        Next
        If (YMAX < 1) Then Exit Sub         'if no y scale exit sub
        If (OptScaleType(1).value) Then     'adjust plot to include entire high peak
            YPlotScale = (YMAX * 10#)
            YMAX = (YMAX * 10#) + 10
        Else
            YPlotScale = YMAX
            If (YMAX < 20) Then
                YMAX = YMAX + 2
            Else
                YMAX = YMAX + 10
            End If
        End If
        lblMaxChanCnt = YMAX
        picBuffer.Scale (0, YMAX)-(NumChan, 0)
        picPlot.Scale (0, YMAX)-(NumChan, 0)
        picBuffer.Line (0, 0)-(NumChan, YMAX), picBuffer.BackColor, BF
        For i = 0 To (NumChan - 2) 'get the largest value to be displayed
            'If ((i + 1) >= NumChan) Then Exit For
            If (OptScaleType(0).value) Then
                y1 = DataBuffer(i): y2 = DataBuffer(i + 1)
            Else
                y1 = Log(0.1 + DataBuffer(i)) * 10#: y2 = Log(0.1 + DataBuffer(i + 1)) * 10#
            End If
            YPlotBuffer(i) = y1
            Select Case True
                Case OptPlotType(0).value
                    If (NumChan < 1024) Then
                        Call DrawFilledPoly(CDbl(i), CDbl(y1), CDbl(y2), CDbl(NumChan + 1.5), CDbl(YMAX))
'                        picBuffer.Line (i, 0)-(i, y1), picBuffer.ForeColor, BF ', QBColor(4), BF
'                        picBuffer.Line (i + 1, 0)-(i + 1, y2), picBuffer.ForeColor, BF ', QBColor(4), BF
'                        picBuffer.Line (i, y1)-(i + 1, y2) ', picBuffer.ForeColor, BF ', QBColor(4)
                    Else
                        picBuffer.Line (i, 0)-(i, y1), picBuffer.ForeColor, BF ', QBColor(4), BF
                        picBuffer.Line (i + 1, 0)-(i + 1, y2), picBuffer.ForeColor, BF ', QBColor(4), BF
                        picBuffer.Line (i, y1)-(i + 1, y2) ', picBuffer.ForeColor, BF ', QBColor(4)
                    End If
                Case OptPlotType(1).value
                    picBuffer.Line (i, y1)-(i + 1, y2) ', QBColor(4)
            End Select
        Next
        YPlotMAX = YMAX
        picBuffer.Line (PlotCursor.X, 0)-(PlotCursor.X, YMAX), QBColor(8)
        
        Result = VBGetDppStatus(objDppApi, StatusLst)
        AcqEnabled = StatusLst.StatMcaEnabled
        If (AcqEnabled) Then        'set acq button display
            cmdAcquireData.Caption = "Stop Acquire"
        Else
            cmdAcquireData.Caption = "Acquire Data"
        End If
        
        CreateMCAFileDPPSettings objDppApi, strSettings, 3000
        If (Not isSavingPlot) Then      'update global copy
            SaveStatus = StatusLst      'status values
            strSaveSettings = StripNulls(strSettings)    'display string for <<DPP STATUS>> section
        End If
        picPlot.Picture = picBuffer.Image
        'Dim BufferAB As Byte
        'BufferAB = 1
        If (chkDeltaMode.value = vbChecked) Then ClearDppData objDppApi, 1
    End If
    isDataAcq = False           'data acquisition done
End Sub

'calculates and plots a spectrum display from given data
Private Sub PlotData(DataBuffer() As Long, NumChan As Integer)
    Dim i As Integer
    Dim j As Integer
    Dim YMAX As Long
    Dim logTemp As Long
    Dim y1 As Double
    Dim y2 As Double
    Dim YPlotScale As Double
   
    XPlotMAX = NumChan - 1
    If (NumChan > 0) Then 'plot data
        
        YMAX = 0
        For i = 0 To (NumChan - 1) 'get the largest value to be displayed
            If (OptScaleType(0).value) Then
                If (DataBuffer(i) > YMAX) Then YMAX = DataBuffer(i)
            Else
                If (Log(0.1 + DataBuffer(i)) > YMAX) Then YMAX = Log(0.1 + DataBuffer(i))
            End If
        Next
        If (YMAX < 1) Then Exit Sub         'if no y scale exit sub
        If (OptScaleType(1).value) Then     'adjust plot to include entire high peak
            YPlotScale = (YMAX * 10#)
            YMAX = (YMAX * 10#) + 10
        Else
            YPlotScale = YMAX
            If (YMAX < 20) Then
                YMAX = YMAX + 2
            Else
                YMAX = YMAX + 10
            End If
        End If
        lblMaxChanCnt = YMAX
        picBuffer.Scale (0, YMAX)-(NumChan, 0)
        picPlot.Scale (0, YMAX)-(NumChan, 0)
        picBuffer.Line (0, 0)-(NumChan, YMAX), picBuffer.BackColor, BF
        For i = 0 To (NumChan - 2) 'get the largest value to be displayed
            'If ((i + 1) >= NumChan) Then Exit For
            If (OptScaleType(0).value) Then
                y1 = DataBuffer(i): y2 = DataBuffer(i + 1)
            Else
                y1 = Log(0.1 + DataBuffer(i)) * 10#: y2 = Log(0.1 + DataBuffer(i + 1)) * 10#
            End If
            YPlotBuffer(i) = y1
            Select Case True
                Case OptPlotType(0).value
                    If (NumChan < 1024) Then
                        Call DrawFilledPoly(CDbl(i), CDbl(y1), CDbl(y2), CDbl(NumChan + 1.5), CDbl(YMAX))
'                        picBuffer.Line (i, 0)-(i, y1), picBuffer.ForeColor, BF ', QBColor(4), BF
'                        picBuffer.Line (i + 1, 0)-(i + 1, y2), picBuffer.ForeColor, BF ', QBColor(4), BF
'                        picBuffer.Line (i, y1)-(i + 1, y2) ', picBuffer.ForeColor, BF ', QBColor(4)
                    Else
                        picBuffer.Line (i, 0)-(i, y1), picBuffer.ForeColor, BF ', QBColor(4), BF
                        picBuffer.Line (i + 1, 0)-(i + 1, y2), picBuffer.ForeColor, BF ', QBColor(4), BF
                        picBuffer.Line (i, y1)-(i + 1, y2) ', picBuffer.ForeColor, BF ', QBColor(4)
                    End If
                Case OptPlotType(1).value
                    picBuffer.Line (i, y1)-(i + 1, y2) ', QBColor(4)
            End Select
        Next
        YPlotMAX = YMAX
        picBuffer.Line (PlotCursor.X, 0)-(PlotCursor.X, YMAX), QBColor(8)
        picPlot.Picture = picBuffer.Image
    End If
End Sub

'draws a filled polygon
Private Sub DrawFilledPoly(i As Double, y1 As Double, y2 As Double, XScale As Double, YScale As Double)
    Dim Pnt(1 To 4) As COORD   'Getting the  vaiables for vertex of polygon
    Pnt(1).X = CLng(i * (picBuffer.Width / XScale))
    Pnt(1).Y = CLng(picBuffer.Height - 0)
    Pnt(2).X = CLng(i * (picBuffer.Width / XScale))
    Pnt(2).Y = CLng((picBuffer.Height - 0) - (y1 * (picBuffer.Height / YScale)))
    Pnt(3).X = CLng((i + 1#) * (picBuffer.Width / XScale))
    Pnt(3).Y = CLng((picBuffer.Height - 0) - (y2 * (picBuffer.Height / YScale)))
    Pnt(4).X = CLng((i + 1#) * (picBuffer.Width / XScale))
    Pnt(4).Y = CLng(picBuffer.Height - 0)
    DrawFilledPolygon picBuffer, Pnt, 4
End Sub

'saves px4 stored text
Private Sub cmdSetPX4Text_Click()
    Dim cstrNewPX4Text As String
'    Dim cstrNewDP5Text As String
'    cstrNewDP5Text = Left(txtPX4Text.Text, 64)
'    SetDP5Text objDppApi, cstrNewDP5Text
    cstrNewPX4Text = Left(txtPX4Text.Text, 64)
    SetPX4Text objDppApi, cstrNewPX4Text
End Sub

'shows the configuration editor dialog
'a pointer to the current data acquisition timer is passed to the dialog
'the timer is disabled when an operation that may conflict with data acquisition
Private Sub cmdShowConfigDialog_Click()
    cmdShowConfigDialog.Enabled = False
    If (objDppApi > 0) Then
        Load frmCfgDlg
        Set frmCfgDlg.DataAcqTimer = DataAcqTimer
        frmCfgDlg.Show
    End If
    cmdShowConfigDialog.Enabled = True
End Sub

'the data acquisition timer event
'if the dppapi is open and not busy then a spectrum data acquisition is run
Private Sub DataAcqTimer_Timer()
    If ((objDppApi > 0) And (Not DPPAPIBUSY)) Then DataAcq
End Sub

'initializes form controls before the form is loaded
Private Sub Form_Initialize()
    PlotCursor.X = 0
    PlotCursor.Y = 0
    objDppApi = 0
    SetAPIBusyFlag False
    SetAcqStartTime
    'DppDevice = DPPDP4
    isDataAcq = False           'not acquiring data
    isSavingPlot = False        'not saving plot
    SaveChannels = 0
    EnableControls False, True  'disable api controls until ready
    InitCommonControls          'load the common control DLL
    ChDir App.path              'set the default dir to the app path
    InitDppApi
End Sub

'initialize the plot drawing buffer, the buffer reduces plot update flicker
'plots are first drawn to picBuffer then displayed on picPlot
Private Sub Init_Pic()
    picBuffer.Left = picPlot.Left
    picBuffer.Top = picPlot.Top
    picBuffer.Width = picPlot.Width
    picBuffer.Height = picPlot.Height
    picBuffer.BackColor = picPlot.BackColor
    picBuffer.ForeColor = picPlot.ForeColor
    picBuffer.FillColor = picPlot.FillColor
End Sub

'initializes controls when the form is loaded
Private Sub Form_Load()
    Dim bScale As Boolean
    Set pnlStatus = StatusBar1.Panels(1)        'set the status panel to the status bar panel
    HasPlotCursorSupport = True
    Init_Pic
                                                ' get the plot settings stored in the registry
    OptPlotType(0).value = GetSetting(App.EXEName, "Plot Settings", "Plot Type", True)
    OptScaleType(0).value = GetSetting(App.EXEName, "Plot Settings", "Scale Type", True)
    OptPlotType(1).value = Not OptPlotType(0).value
    OptScaleType(1).value = Not OptScaleType(0).value
    objDppApi = 0                               'set the dppapi pointer to null
    DppDevice = 2                               'set the default global device type
    DppFirmwareRev = 4                          'set default firmware rev
    DppFPGARev = 4                              'set default fpga rev
    bScale = GetSetting(App.EXEName, "Plot Settings", "Scale Type", True)
    frmDPPMCA.txtStatus.Text = ""
    EnablePX4Text False
    pnlStatus = "vbDppApi application ready..."
    Sleep (1000)
End Sub

'enables/disables the dialog controls
Private Sub EnableControls(bEnable As Boolean, isConnect As Boolean)
    cmdAcquireData.Enabled = bEnable
    cmdCloseDppConnection.Enabled = bEnable
    chkDeltaMode.Enabled = bEnable
    cmdSaveData.Enabled = bEnable And (SaveChannels > 0)
    cmdClearData.Enabled = bEnable
    cmdShowConfigDialog.Enabled = bEnable
    mnuConfigSaveToFile.Enabled = bEnable
    mnuConfigLoadFromFile.Enabled = bEnable
    mnuConfigLoadFromHardware.Enabled = bEnable
    mnuConfigSendConfig.Enabled = bEnable
    mnuTestRestartAcquisitionTimer.Enabled = bEnable
    mnuConfigShowSummary.Enabled = bEnable
    mnuConfigCopyToClipBoard.Enabled = bEnable
    mnuDataAcqGetDPPStatus.Enabled = bEnable
    '------------------------------------------
    cmdConnectToDpp.Enabled = bEnable
    mnuvbDppApi.Enabled = bEnable
    If (isConnect) Then     'if is connect sequence turn other controls on if connected
        cmdConnectToDpp.Enabled = Not bEnable
        cmdGetData.Enabled = Not bEnable
        cmdDPPConfiguration.Enabled = Not bEnable
        mnuvbDppApi.Enabled = Not bEnable
    End If
End Sub

'px4 text is only enabled for px4s rev 4 and above
Private Sub EnablePX4Text(bEnable As Boolean)
    fraPX4Text.Enabled = bEnable
    cmdGetPX4Text.Enabled = bEnable
    cmdSetPX4Text.Enabled = bEnable
    txtPX4Text.Enabled = bEnable
End Sub

'cleanup operations (and terminate active objects) at shutdown
Private Sub Form_Unload(Cancel As Integer)
    DataAcqTimer.Enabled = False
    cmdCloseDppConnection_Click
    Unload Me
    End
End Sub

'reads and stores the status in a data structure
'formats and saves the status data as a display string
Private Function VBGetDppStatus(objDppApi As Long, ByRef StatusStruct As DPP_STATUS) As Boolean
    Dim varTemp As Variant          '
    Dim i As Integer
    Dim strList As String
    Dim strDeviceType As String
    Dim DeviceType As Integer
    
    VBGetDppStatus = False
    If (objDppApi = 0) Then Exit Function       'only run if api is already running
    GetStatusStruct objDppApi, 1, StatusStruct
    If (StatusStruct.SerialNumber < 1) Then Exit Function
    DppDevice = DPPTypeFromStatus(StatusStruct) 'DPP5 20071023
    strDeviceType = DPPTypeString(DppDevice)
    DppFirmwareRev = StatusStruct.Firmware
    DppFPGARev = StatusStruct.FPGA
    strList = ""
    strList = strList & "Device Type = " & strDeviceType & vbNewLine
    strList = strList & "Fast Count = " & StatusStruct.FastCount & vbNewLine
    strList = strList & "Slow Count = " & StatusStruct.SlowCount & vbNewLine
    strList = strList & "FPGA = " & Format(StatusStruct.FPGA, "0.00") & vbNewLine
    strList = strList & "Firmware = " & Format(StatusStruct.Firmware, "0.00") & vbNewLine
    strList = strList & "Serial Number = " & Format(CLng(StatusStruct.SerialNumber), "0000") & vbNewLine
    strList = strList & "Accumulation Time = " & StatusStruct.AccumulationTime & vbNewLine
    strList = strList & "StatMcaEnabled = " & CBool(StatusStruct.StatMcaEnabled) & vbNewLine
    txtStatus = strList
    pnlStatus = "Current DPP status displayed."
    VBGetDppStatus = True
End Function

'copies the current configuration to the clipboard
Private Sub mnuConfigCopyToClipBoard_Click()
    Dim strDisplay As String * 2000
    If (objDppApi = 0) Then Exit Sub            'only run if api is already running
    GetConfigString objDppApi, strDisplay, 2000
    Clipboard.Clear
    Clipboard.SetText strDisplay
    pnlStatus = "Configuration copied to clipboard."
End Sub

'loads a configuration from a file
Private Sub mnuConfigLoadFromFile_Click()
    Dim strFileName As String
    Dim lenFilename As Long
    If (objDppApi = 0) Then Exit Sub            'exit sub if api is not present
    If (dlgOpen(cmnDlg, dlgCFG_Filter)) Then
        strFileName = cmnDlg.filename
        lenFilename = Len(strFileName)
        GetConfigFromFile objDppApi, strFileName, lenFilename, DPPPX4
        pnlStatus = "Configuration loaded from file."
    End If
End Sub

'loads a configuration from dpp hardware
Private Sub mnuConfigLoadFromHardware_Click()
    If (objDppApi = 0) Then Exit Sub            'exit sub if api is not present
    GetConfigFromDpp objDppApi
    pnlStatus = "Configuration loaded from hardware."
End Sub

'saves the current configuration to file
Private Sub mnuConfigSaveToFile_Click()
    Dim strFileName As String
    Dim lenFilename As Long
    
    If (objDppApi = 0) Then Exit Sub            'exit sub if api is not present
    If (dlgSave(cmnDlg, dlgCFG_Filter)) Then
        strFileName = cmnDlg.filename
        lenFilename = Len(strFileName)
        SaveConfigToFile objDppApi, strFileName, lenFilename
        pnlStatus = "Configuration saved to file."
    End If
End Sub

'sends the current configuration to the dpp
Private Sub mnuConfigSendConfig_Click()
    If (objDppApi = 0) Then Exit Sub            'exit sub if api is not present
    Dim mnuEn As Boolean
    mnuEn = mnuConfigSendConfig.Enabled
    mnuConfigSendConfig.Enabled = False
    Dim AcqEn As Boolean
    AcqEn = DataAcqTimer.Enabled
    DataAcqTimer.Enabled = False
    SendConfigToDpp objDppApi
    DataAcqTimer.Enabled = AcqEn
    mnuConfigSendConfig.Enabled = mnuEn
    pnlStatus = "DPP configuration sent."
End Sub

'shows a summary of the current configuration
Private Sub mnuConfigShowSummary_Click()
    Dim strDisplay As String * 2000
    If (objDppApi = 0) Then Exit Sub            'only run if api is already running
    GetConfigString objDppApi, strDisplay, 2000
    Call MessageBox(0&, strDisplay, "Configuration Settings", MB_ICONINFORMATION)
    pnlStatus = "Configuration summary displayed."
End Sub

'status test function -
'formats all the information in the given status structure into a display string
Private Function ConvertStatusStructToString(StatusStruct As DPP_STATUS) As String
    Dim strStatus As String
    Dim nl As String

    strStatus = ""
    nl = vbNewLine
    
    ' Identification
    strStatus = strStatus & nl & " FPGA : " & StatusStruct.FPGA   'As Double              ' @cmember FPGA
    strStatus = strStatus & nl & " Firmware : " & StatusStruct.Firmware 'As Double          ' @cmember firmware revision
    strStatus = strStatus & nl & " SerialNumber : " & StatusStruct.SerialNumber 'As Long        ' @cmember unit serial number
    strStatus = strStatus & nl & " StatDevInd : " & StatusStruct.StatDevInd 'As Byte          ' @cmember device indicator from status block (0=dp4,1=px4)

    ' Configuration
    strStatus = strStatus & nl & " BootStatus : " & StatusStruct.BootStatus 'As Byte          ' @cmember boot status byte (PwrBtnConfig,SwConfigRcvd,McaEnabled)
    strStatus = strStatus & nl & " PwrBtnConfig : " & StatusStruct.PwrBtnConfig 'As Byte        ' @cmember dpp has loaded config from power button
    strStatus = strStatus & nl & " SwConfigRcvd : " & StatusStruct.SwConfigRcvd 'As Byte        ' @cmember software has sent valid config to unit since startup

    ' Tuning
    strStatus = strStatus & nl & " SetFastThreshDone : " & StatusStruct.SetFastThreshDone 'As Byte   ' @cmember DPP tune fast thresh has successfully done
    strStatus = strStatus & nl & " SetSlowThreshDone : " & StatusStruct.SetSlowThreshDone 'As Byte   ' @cmember DPP tune slow thresh has successfully done
    strStatus = strStatus & nl & " SetInputOffsetDone : " & StatusStruct.SetInputOffsetDone 'As Byte  ' @cmember DPP tune input offset has successfully done

    ' Monitors
    strStatus = strStatus & nl & " BoardTemp : " & StatusStruct.BoardTemp 'As Double         ' @cmember board temperature monitor value
    strStatus = strStatus & nl & " HVMonitor : " & StatusStruct.HVMonitor 'As Double         ' @cmember high voltage monitor value
    strStatus = strStatus & nl & " TECMonitor : " & StatusStruct.TECMonitor 'As Double        ' @cmember TEC temperature monitor value (displayed in Kelvin)
    
    ' Acquisition Parameters
    strStatus = strStatus & nl & " FastCount : " & StatusStruct.FastCount 'As Double         ' @cmember fast channel count
    strStatus = strStatus & nl & " SlowCount : " & StatusStruct.SlowCount 'As Double         ' @cmember slow channel count
    strStatus = strStatus & nl & " AccumulationTime : " & StatusStruct.AccumulationTime 'As Double  ' @cmember real time duration of present data acquisition interval

    ' Acquisition Mode
    strStatus = strStatus & nl & " StatMcaEnabled : " & StatusStruct.StatMcaEnabled 'As Byte      ' @cmember mca enabled status, high during acq, preset time resets flag
    strStatus = strStatus & nl & " MCSDone : " & StatusStruct.MCSDone 'As Byte             ' @cmember MCS done flag 1=finished, 0=not finished
    strStatus = strStatus & nl & " PresetCountExpired : " & StatusStruct.PresetCountExpired 'As Byte  ' @cmember indicates presets counts have been reached

    ConvertStatusStructToString = strStatus
End Function

'requests a copy of the current status
' - the status is display in txtStatus
' - some of the status is tested (see VBGetDppStatus)
Private Sub mnuDataAcqGetDPPStatus_Click()
    Dim StatusLst As DPP_STATUS                 'holds copy of current status
    Dim Result As Boolean
    Result = VBGetDppStatus(objDppApi, StatusLst)
End Sub

'dppapi test function
' - opens an dppapi instance
' - tests for connected devices
' - gets the current status
' - closes the dppapi
Private Sub mnuvbDppApi_Click()
    Dim objptrUSB As Long
    Dim numdev As Integer
    Dim strConfig As String * 2000
    Dim StatusLst As DPP_STATUS
    Dim Result As Boolean
    
    If (objDppApi > 0) Then Exit Sub            'don't run if api is already running
    Screen.MousePointer = vbHourglass
    pnlStatus = "Starting USB DLL Tests..."
    txtStatus = ""
    pnlStatus = "Creating USB DLL Class Instance..."
    objptrUSB = OpenDppApi()
    pnlStatus = "Opened USB Device, Devices found: " & OpenUSBDevice(objptrUSB)
    
    numdev = MonitorUSBDppDevices(objptrUSB)
    pnlStatus = "Monitoring USB Devices, Devices found: " & numdev
    If (numdev > 0) Then
        pnlStatus = "Aquiring device status..."
        Result = VBGetDppStatus(objDppApi, StatusLst)
        pnlStatus = "Aquiring device configuration..."
        GetConfigFromDpp objptrUSB
        GetConfigString objptrUSB, strConfig, 2000
        Call MessageBox(0&, strConfig, "Configuration Settings", MB_ICONINFORMATION)
    End If
    pnlStatus = "Closing USB Device"
    CloseUSBDevice (objptrUSB)
    pnlStatus = "Destroying USB DLL Class Instance..."
    CloseDppApi (objptrUSB)
    Screen.MousePointer = vbDefault
    pnlStatus = "USB DLL Tests Done"
End Sub

'restarts the data acquisition timer (obsolete)
Private Sub mnuTestRestartAcquisitionTimer_Click()
    If (objDppApi = 0) Then Exit Sub            'exit sub if api is not present
    DataAcqTimer.Enabled = True
    pnlStatus = "Acquisition timer restarted"
End Sub

'selects the plot type
Private Sub OptPlotType_Click(Index As Integer)
    SaveSetting App.EXEName, "Plot Settings", "Plot Type", OptPlotType(0).value
    pnlStatus = IIf(Index = 0, "Solid", "Line") & " plot type selected."
End Sub

'selects the plot scale type
Private Sub OptScaleType_Click(Index As Integer)
    SaveSetting App.EXEName, "Plot Settings", "Scale Type", OptScaleType(0).value
    pnlStatus = IIf(Index = 0, "Linear", "Log") & " scale type selected."
End Sub

'saves the mouse position when clicked, updates the plot cursor
Private Sub picPlot_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    OldPlotCursor.X = PlotCursor.X
    OldPlotCursor.Y = PlotCursor.Y
    PlotCursor.X = Fix(X)
    PlotCursor.Y = Fix(Y)
    pnlStatus = "CursorPosition X = " & Fix(X) & " Y = " & Fix(Y)
    PlotCursorAtPos
End Sub

'moves the plot cursor when the arrow keys are pressed
Private Sub picPlot_KeyDown(KeyCode As Integer, Shift As Integer)
    'If (Shift And vbShiftMask) = 0 Then ' SHIFT key down too?
        Select Case KeyCode
            Case vbKeyRight ' right cursor key
                If (PlotCursor.X < XPlotMAX) Then
                    OldPlotCursor.X = PlotCursor.X
                    PlotCursor.X = PlotCursor.X + 1
                 End If
           Case vbKeyLeft  ' left cursor key
                If (PlotCursor.X > 0) Then
                    OldPlotCursor.X = PlotCursor.X
                    PlotCursor.X = PlotCursor.X - 1
                End If
            End Select
        pnlStatus = "CursorPosition X = " & Fix(PlotCursor.X) & " Y = " & Fix(PlotCursor.Y)
    'End If
    PlotCursorAtPos
End Sub

'draws the plot cursor at the current position
Private Sub PlotCursorAtPos()
    picPlot.Line (OldPlotCursor.X, 0)-(OldPlotCursor.X, YPlotMAX), QBColor(15)
    Select Case True
        Case OptPlotType(0).value
            picPlot.Line (OldPlotCursor.X, YPlotBuffer(OldPlotCursor.X))-(OldPlotCursor.X + 1, YPlotBuffer(OldPlotCursor.X + 1)) ', QBColor(4)
            picPlot.Line (OldPlotCursor.X, 0)-(OldPlotCursor.X, YPlotBuffer(OldPlotCursor.X)), picBuffer.ForeColor, BF ', QBColor(4), BF
        Case OptPlotType(1).value
            picPlot.Line (OldPlotCursor.X, YPlotBuffer(OldPlotCursor.X))-(OldPlotCursor.X + 1, YPlotBuffer(OldPlotCursor.X + 1)) ', QBColor(4)
    End Select
    picPlot.Line (PlotCursor.X, 0)-(PlotCursor.X, YPlotMAX), QBColor(8)
End Sub

